Tspi_TPM_DirRead(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_DirRead - Read a Data Integrity Register

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_DirRead(TSS_HTPM hTPM,             UINT32 ulDirIndex,
                            UINT32*  pulDirDataLength, BYTE** prgbDirData);

DESCRIPTION

Tspi_TPM_DirRead reads a data integrity register. DIRs are non-volatile (persistent across reboots) memory areas maintained by the TPM.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object.

  ulDirIndex
The ulDirIndex parameter is the index of the DIR to read. To query the TPM for the number of DIR registers it supports, use Tspi_TPM_GetCapability(3).

  pulDirDataLength
The pulDirDataLength parameter receives the length in bytes of the prgbDirData parameter.

  prgbDirData
The prgbDirData parameter receives a pointer to memory containing the DIR data.

RETURN CODES

Tspi_TPM_DirRead returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_TPM_DirRead conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetCapability(3), Tspi_TPM_DirWrite(3).